package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLEMediaABConfig {
    public transient boolean LIZ;
    public transient long LIZIZ;

    static {
        Covode.recordClassIndex(29812);
    }

    public void finalize() {
        LIZJ();
    }

    public NLEMediaABConfig() {
        this(NLEMediaJniJNI.new_NLEMediaABConfig());
        MethodCollector.i(8578);
        MethodCollector.o(8578);
    }

    public final void LIZ() {
        MethodCollector.i(7956);
        NLEMediaJniJNI.NLEMediaABConfig_enableRebuildModelWhenMainTrackChange_set(this.LIZIZ, this, false);
        MethodCollector.o(7956);
    }

    public final void LIZIZ() {
        MethodCollector.i(8185);
        NLEMediaJniJNI.NLEMediaABConfig_forCanvasMode_set(this.LIZIZ, this, true);
        MethodCollector.o(8185);
    }

    private synchronized void LIZJ() {
        MethodCollector.i(7587);
        long j = this.LIZIZ;
        if (j != 0) {
            if (this.LIZ) {
                this.LIZ = false;
                NLEMediaJniJNI.delete_NLEMediaABConfig(j);
            }
            this.LIZIZ = 0;
        }
        MethodCollector.o(7587);
    }

    public NLEMediaABConfig(long j) {
        this.LIZ = true;
        this.LIZIZ = j;
    }

    public final void LIZ(boolean z) {
        MethodCollector.i(8390);
        NLEMediaJniJNI.NLEMediaABConfig_enableSyncModelInAudio_set(this.LIZIZ, this, z);
        MethodCollector.o(8390);
    }
}
